Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class FtpFileConfiguration

    java.lang.Object
      com.stc.eways.batchext.FtpFileConfiguration

    public class FtpFileConfiguration

extends java.lang.Object

This class represents the Batch e*Way's FTP ETD e*Way Connection configuration.

Version:
  cvs revision: $Revision: 1.10 $ Last Modified: $Date: 2008/04/19 02:03:28 $
Author:
  Harry Liu, jfu jim.fu@sun.com

Field Summary
`static java.lang.String` | `CMD_COPY`
`static java.lang.String` | `CMD_DELETE`
`static java.lang.String` | `CMD_NONE`
`static java.lang.String` | `CMD_RENAME`

Constructor Summary
`FtpFileConfiguration(FtpETD etdParam)` Constructor.

Method Summary
`java.lang.String` | `getActionOnMalformedCommand()` Deprecated. 4.5.x legacy code.
`java.util.Properties` | `getAllParamChangeRequested()`
`boolean` | `getAppend()` Gets the overwrite or append file operation status.
`java.util.Properties` | `getChangedParameters()` get the changed parameters - i.e.
`java.lang.String` | `getClientClassName()` Gets the client class name.
`int` | `getCommandConnectionTimeout()` Gets the command connection timeout (in milliseconds).
`java.lang.String` | `getConnectionEstablishmentMode()` Deprecated. 4.5.x legacy code, use getConnectionMode().
`long` | `getConnectionInactivityTimeout()` Deprecated. 4.5.x legacy code.
`java.lang.String` | `getConnectionMode()` getter of "Connection Mode", "Connection Mode" is a read only property;
`long` | `getConnectionVerificationInterval()` Deprecated. 4.5.x legacy code.
`FtpFileConfiguration` | `getConnector()` A helper method used for ETD configuration sub-node.
`int` | `getDataConnectionTimeout()` Gets the data connection timeout (in milliseconds).
`java.lang.String` | `getDirectoryListingStyle()` Gets the directory listing style.
`FtpFileConfiguration` | `getDynamicConfiguration()` A helper method used for ETD configuration sub-node.
`java.lang.String` | `getEncryptedPassword()` Gets the encrypted password.
`FtpFileConfiguration` | `getExtensions()` Deprecated. 4.5.x legacy code.
`protected java.lang.String` | `getExternalName()`
`FtpFileConfiguration` | `getFtp()` A helper method used for ETD configuration sub-node.
`FtpFileConfiguration` | `getFTPRawCommands()` A helper method used for ETD configuration sub-node.
`FtpFileConfiguration` | `getGeneralSettings()` A helper method used for ETD configuration sub-node.
`java.lang.String` | `getHostName()` Gets the remote FTP host name.
`boolean` | `getIncludeOrderRecordInErrorRecord()` Deprecated. 4.5.x legacy code.
`boolean` | `getIncludePayloadInErrorRecord()` Deprecated. 4.5.x legacy code.
`long` | `getMaxRetry()`
`long` | `getMaxSequenceNumber()` Gets the maximum sequence number.
`java.lang.String` | `getMode()` Gets the FTP mode.
`protected java.lang.String` | `getOID()`
`java.lang.String` | `getPostDirectoryName()` Gets the post directory name and .
`boolean` | `getPostDirectoryNameIsPattern()` Checks whether the post directory name is a pattern or a literal name.
`java.lang.String` | `getPostFileName()` Gets Post File Name.
`boolean` | `getPostFileNameIsPattern()` Checks whether the post file name is a pattern or a literal name.
`FtpFileConfiguration` | `getPostTransfer()` A helper method used for ETD configuration sub-node.
`java.lang.String` | `getPostTransferCommand()` Gets the post transfer command.
`java.lang.String` | `getPostTransferRawCommands()` Gets the post transfer FTP raw commands.
`java.lang.String` | `getPreDirectoryName()` Gets the pre directory name and is only used for the "Rename" or "Copy" options of the pre transfer commands.
`boolean` | `getPreDirectoryNameIsPattern()` Checks whether the pre directory name is a pattern or a literal name.
`java.lang.String` | `getPreFileName()` Gets Pre File Name.
`boolean` | `getPreFileNameIsPattern()` Checks whether the pre file name is a pattern or a literal name.
`FtpFileConfiguration` | `getPreTransfer()` A helper method used for ETD configuration sub-node.
`java.lang.String` | `getPreTransferCommand()` Gets the pre transfer command.
`java.lang.String` | `getPreTransferRawCommands()` Gets the pre transfer FTP raw commands.
`java.lang.String` | `getProviderClassName()` Gets the provider class name.
`boolean` | `getPublishStatusRecordOnError()` Deprecated. 4.5.x legacy code, obsolete feature.
`boolean` | `getPublishStatusRecordOnSuccess()` Deprecated. 4.5.x legacy code, obsolete feature.
`long` | `getRetryInterval()`
`FtpFileConfiguration` | `getSequenceNumbering()` A helper method used for ETD configuration sub-node.
`int` | `getServerPort()` Gets the FTP server's port.
`boolean` | `getShareConnectorWithinCollaboration()` Checks on whether an e*Way Connection is being shared within a Collaboration.
`FtpFileConfiguration` | `getSOCKS()` A helper method used for ETD configuration sub-node.
`boolean` | `getSocksEnabled()` Checks to determine whether SOCKS is enabled.
`java.lang.String` | `getSocksEncryptedPassword()` Gets the encrypted SOCKS password.
`java.lang.String` | `getSocksHostName()` Gets the SOCKS host name.
`int` | `getSocksServerPort()` Gets the SOCKS server port.
`java.lang.String` | `getSocksUserName()` Gets the SOCKS user name.
`int` | `getSocksVersion()` Gets the SOCKS version.
`boolean` | `getSSHChannelEstablished()` Checks on whether the SSH channel is already established.
`java.lang.String` | `getSSHCommandLine()` Gets the SSH command line.
`java.lang.String` | `getSSHEncryptedPassword()` Gets the encrypted SSH password.
`java.lang.String` | `getSSHListenHost()` Gets the SSH listen host name.
`int` | `getSSHListenPort()` Gets the SSH listen host port number.
`FtpFileConfiguration` | `getSSHTunneling()` A helper method used for ETD configuration sub-node.
`boolean` | `getSSHTunnelingEnabled()` Checks on whether SSH tunneling is enabled.
`java.lang.String` | `getSSHUserName()` Gets the SSH user name.
`long` | `getStartingSequenceNumber()` Gets the starting sequence number.
`java.lang.String` | `getStatePersistenceBaseLocation()` Gets the state persistence base location.
`boolean` | `getSynchronized()`
`java.lang.String` | `getTargetDirectoryName()` Gets the target directory name.
`boolean` | `getTargetDirectoryNameIsPattern()` Checks whether the target directory name is a pattern.
`java.lang.String` | `getTargetFileName()` Gets the target file name.
`boolean` | `getTargetFileNameIsPattern()` Checks whether the target file name is a pattern or a literal name.
`FtpFileConfiguration` | `getTargetLocation()` A helper method used for ETD configuration sub-node.
`java.lang.String` | `getTransactionType()` Gets the connection's transaction type.
`boolean` | `getUsePASV()` Gets information that tells you whether your connection is using the passive mode, that is, whether the "Use PASV" configuration parameter status is YES or NO.
`java.lang.String` | `getUserDefinedDirectoryListingStyle()` Gets the user directory listing style.
`java.lang.String` | `getUserHeuristicsLocation()`
`java.lang.String` | `getUserName()` Gets the user name.
`java.util.Properties` | `getUserProperties()` Gets the user-defined properties from the Java user properties file.
`java.lang.String` | `getUserPropertyFile()` Gets the user properties file name.
`void` | `initialConfigValues(java.util.Properties props)` Initializes the configuration from specified properties.
`boolean` | `isAppend()` Checks whether file transfer mode is append or overwrite.
`boolean` | `isConnectionEstablishmentModeAutomatic()` Deprecated. 4.5.x legacy code, use isConnectionModeManual, or isConnectionModeAuto() or getConnectionMode().
`boolean` | `isConnectionEstablishmentModeManual()` Deprecated. 4.5.x legacy code, use isConnectionModeManual, or isConnectionModeAuto() or getConnectionMode().
`boolean` | `isConnectionEstablishmentModeOnDemand()` Deprecated. 4.5.x legacy code, "On Demand" is obsolete, only "Automatic" and "Manual" are available.
`boolean` | `isConnectionModeAuto()` is the connection mode automatic?
`boolean` | `isConnectionModeManual()` is the connection mode manual?
`boolean` | `isConnectionParameterChanged()` indicate that one or more of the "connection parameters" changed;
`boolean` | `isModeAscii()` A helper method.
`boolean` | `isModeBinary()` A helper method.
`boolean` | `isModeEbcdic()` A helper method.
`boolean` | `isPostDirectoryNameIsPattern()` Check whether the post directory name is a pattern or a literal name.
`boolean` | `isPostFileNameIsPattern()` Checks whether the post file name is a pattern or a literal name.
`boolean` | `isPostTransferCommandDelete()` A helper method.
`boolean` | `isPostTransferCommandNone()` A helper method.
`boolean` | `isPostTransferCommandRename()` A helper method.
`boolean` | `isPreDirectoryNameIsPattern()` Check whether the pre directory name is a pattern or a literal name.
`boolean` | `isPreFileNameIsPattern()` Checks whether the pre file name is a pattern or a literal name.
`boolean` | `isPreTransferCommandCopy()` A helper method.
`boolean` | `isPreTransferCommandNone()` A helper method.
`boolean` | `isPreTransferCommandRename()` A helper method.
`boolean` | `isShareConnectorWithinCollaboration()` Deprecated. 4.5.x legacy code, obsolete feature.
`boolean` | `isSocksEnabled()` Checks to determine whether SOCKS is enabled.
`boolean` | `isSocksVersion4()` A helper method.
`boolean` | `isSocksVersion5()` A helper method.
`boolean` | `isSocksVersionUnknown()` A helper method.
`boolean` | `isSSHChannelEstablished()` Checks on whether the SSH channel is already established.
`boolean` | `isSSHTunnelingEnabled()` Checks on whether SSH tunneling is enabled.
`boolean` | `isTargetDirectoryNameIsPattern()` Check whether the target directory name is a pattern or a literal name.
`boolean` | `isTargetFileNameIsPattern()` Checks whether the target file name is a pattern or a literal name.
`boolean` | `isTransactionTypeNonXA()` A helper method.
`boolean` | `isTransactionTypeXA()` A helper method.
`boolean` | `isUsePASV()` Gets information that tells you whether your connection is using the passive mode, that is, whether the "Use PASV" configuration parameter status is YES or NO.
`static void` | `main(java.lang.String[] args)` Used to do stand-alone testing.
`protected void` | `reset()`
`void` | `setActionOnMalformedCommand(java.lang.String newActionOnMalformedCommand)` Deprecated. 4.5.x legacy code, obsolete feature.
`void` | `setAppend(boolean newAppend)` Sets the overwrite or append file operation status.
`void` | `setClientClassName(java.lang.String newClientClassName)` Sets the client class name.
`void` | `setCommandConnectionTimeout(int newCommandConnectionTimeout)` Sets the command connection timeout (in milliseconds).
`void` | `setDataConnectionTimeout(int newDataConnectionTimeout)` Sets the data connection timeout (in milliseconds).
`void` | `setDirectoryListingStyle(java.lang.String newDirectoryListingStyle)` Sets Directory Listing Style.
`void` | `setEncryptedPassword(java.lang.String newPassword)` Sets the property password.
`void` | `setHostName(java.lang.String newHostName)` Sets the host name.
`void` | `setIncludeOrderRecordInErrorRecord(boolean newIncludeOrderRecordInErrorRecord)` Deprecated. 4.5.x legacy code, obsolete feature.
`void` | `setIncludePayloadInErrorRecord(boolean newIncludePayloadInErrorRecord)` Deprecated. 4.5.x legacy code, obsolete feature.
`void` | `setMaxRetry(long aRetry)`
`void` | `setMaxSequenceNumber(long newMaxSequenceNumber)` Sets the maximum sequence number.
`void` | `setMode(java.lang.String newMode)` Sets the FTP mode.
`void` | `setPassword(java.lang.String newPassword)` Sets the password.
`void` | `setPostDirectoryName(java.lang.String newPostDirectoryName)` Sets the post directory name and only applies to the "Rename" option of the post transfer command.
`void` | `setPostDirectoryNameIsPattern(boolean newPostDirectoryNameIsPattern)` Sets Pattern/Literal option for Post Directory Name.
`void` | `setPostFileName(java.lang.String newPostFileName)` Sets Post File Name.
`void` | `setPostFileNameIsPattern(boolean newPostFileNameIsPattern)` Sets Pattern/Literal option for Post File Name.
`void` | `setPostTransferCommand(java.lang.String newPostTransferCommand)` Sets the post transfer command.
`void` | `setPostTransferRawCommands(java.lang.String newPostTransferRawCommands)` Sets the post transfer FTP raw commands.
`void` | `setPreDirectoryName(java.lang.String newPreDirectoryName)` Sets the pre directory name and is only used for the "Rename" or "Copy" options of the pre transfer commands.
`void` | `setPreDirectoryNameIsPattern(boolean newPreDirectoryNameIsPattern)` Sets Pattern/Literal option for Pre Directory Name.
`void` | `setPreFileName(java.lang.String newPreFileName)` Sets Pre File Name.
`void` | `setPreFileNameIsPattern(boolean newPreFileNameIsPattern)` Sets Pattern/Literal option for Pre File Name.
`void` | `setPreTransferCommand(java.lang.String newPreTransferCommand)` Sets the pre transfer command.
`void` | `setPreTransferRawCommands(java.lang.String newPreTransferRawCommands)` Sets the pre transfer FTP raw commands.
`void` | `setProviderClassName(java.lang.String newProviderClassName)` Sets the provider class name.
`void` | `setPublishStatusRecordOnError(boolean newPublishStatusRecordOnError)` Deprecated. 4.5.x legacy code, obsolete feature.
`void` | `setPublishStatusRecordOnSuccess(boolean newPublishStatusRecordOnSuccess)` Deprecated. 4.5.x legacy code, obsolete feature.
`void` | `setRetryInterval(long aInterval)`
`void` | `setServerPort(int newServerPort)` Sets the FTP server's port.
`void` | `setSocksEnabled(boolean newSocksEnabled)` Allows you to enable or disable the SOCKS feature for the FTP ETD.
`void` | `setSocksEncryptedPassword(java.lang.String newSocksPassword)` Sets the property socksPassword.
`void` | `setSocksHostName(java.lang.String newSocksHostName)` Sets the SOCKS host name.
`void` | `setSocksPassword(java.lang.String newSocksPassword)` Sets the SOCKS password.
`void` | `setSocksServerPort(int newSocksServerPort)` Sets the SOCKS server port.
`void` | `setSocksUserName(java.lang.String newSocksUserName)` Sets the SOCKS user name.
`void` | `setSocksVersion(int newSocksVersion)` Sets the SOCKS version.
`void` | `setSSHChannelEstablished(boolean newSshChannelEstablished)` If the SSH Channel is established already, we'll not establish new SSH channel; otherwise, a new SSH channel will be established from the e*Way.
`void` | `setSSHCommandLine(java.lang.String newSshCommandLine)` Sets the SSH command line.
`void` | `setSSHEncryptedPassword(java.lang.String newSshPassword)` Sets the property sshPassword.
`void` | `setSSHListenHost(java.lang.String newSshListenHost)` Gets the SSH listen host name.
`void` | `setSSHListenPort(int newSshListenPort)` Sets the SSH listen port.
`void` | `setSSHPassword(java.lang.String newSshPassword)` Sets the SSH password.
`void` | `setSSHTunnelingEnabled(boolean newSshTunnelingEnabled)` Enables or disables SSH tunneling.
`void` | `setSSHUserName(java.lang.String newSshUserName)` Sets the SSH user name.
`void` | `setStartingSequenceNumber(long newStartingSequenceNumber)` Sets the starting sequence number.
`protected void` | `setSynchronized(boolean b)`
`void` | `setTargetDirectoryName(java.lang.String newTargetDirectoryName)` Sets the target directory name.
`void` | `setTargetDirectoryNameIsPattern(boolean newTargetDirectoryNameIsPattern)` Sets Pattern/Literal option for target directory name.
`void` | `setTargetFileName(java.lang.String newTargetFileName)` Sets the target file name.
`void` | `setTargetFileNameIsPattern(boolean newTargetFileNameIsPattern)` Sets Pattern/Literal option for target file name.
`void` | `setUsePASV(boolean newUsePASV)` Sets the parameter that tells the connection whether to use the passive mode, that is, whether the "Use PASV" configuration parameter status is YES or NO.
`void` | `setUserDefinedDirectoryListingStyle(java.lang.String newUserDefinedDirectoryListingStyle)` Sets Directory Listing Style.
`void` | `setUserHeuristicsLocation(java.lang.String userHeuristicLoc)`
`void` | `setUserName(java.lang.String newUserName)` Sets the user name.
`void` | `setUserPropertyFile(java.lang.String newUserPropertyFile)` Sets the user properties file name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMD_NONE

    public static final java.lang.String CMD_NONE

See Also:
  Constant Field Values

### CMD_RENAME

    public static final java.lang.String CMD_RENAME

See Also:
  Constant Field Values

### CMD_COPY

    public static final java.lang.String CMD_COPY

See Also:
  Constant Field Values

### CMD_DELETE

    public static final java.lang.String CMD_DELETE

See Also:
  Constant Field Values

Constructor Detail

### FtpFileConfiguration

    public FtpFileConfiguration(FtpETD etdParam)

  Constructor.

  Parameters:
    `mEtd` - The FtpETD instance.

Method Detail

### getDirectoryListingStyle

    public java.lang.String getDirectoryListingStyle()

  Gets the directory listing style.

  This style is the listing format that the FTP server displays upon issuing a LIST command. FtpHeuristics defines all the styles supported by the e*Way. The default value is UNIX.

  Returns:
    The directory listing style.

### getUserDefinedDirectoryListingStyle

    public java.lang.String getUserDefinedDirectoryListingStyle()

  Gets the user directory listing style.

  This style is the listing format that the FTP server displays upon issuing a LIST command. a heuristics configuration file on the logical host contains the heuristics information this parameter is referring to. No default value, when left blank, the CM level "Directory Listing Style" is used.

  Returns:
    The user defined directory listing style.

### getHostName

    public java.lang.String getHostName()

  Gets the remote FTP host name. This value is the name of the FTP server that the e*Way connects to. It can be either an IP address or a logical host name. The default value is localhost.

  Returns:
    Host Name.

### getMode

    public java.lang.String getMode()

  Gets the FTP mode.

  This value describes the mode used to transfer data to and from the FTP server. The method returns binary or ASCII. The default value is ASCII.

  Returns:
    The Mode.

### getTargetDirectoryName

    public java.lang.String getTargetDirectoryName()

  Gets the target directory name.

  This value is the directory on the external FTP system where files are retrieved from or sent to. The absolute directory name is preferred; otherwise, this path is relative to the home directory where you were when you logged in to the FTP server.

  For outbound data (publishing), the directory is created if it does not exist.

  Returns:
    The Target Directory Name.

### getServerPort

    public int getServerPort()

  Gets the FTP server's port.

  This value is the port number used on the FTP server when the e*Way is connecting to it. The default value is 21.

  Returns:
    The FTP server's port number.

### getUserName

    public java.lang.String getUserName()

  Gets the user name.

  This value is the user name given when logging in to the FTP server; the default value is "anonymous."

  Returns:
    The user name.

### setDirectoryListingStyle

    public void setDirectoryListingStyle(java.lang.String newDirectoryListingStyle)
                                  throws FtpFileException

  Sets Directory Listing Style.

  This style is the listing format that the FTP server displays upon issuing a LIST command. FtpHeuristics defines all the styles supported by the e*Way. The default value is UNIX.

  Parameters:
    `newDirectoryListingStyle` - The Directory Listing Style.
  Throws:
    `FtpFileException` - If some error occurs.

### setUserDefinedDirectoryListingStyle

    public void setUserDefinedDirectoryListingStyle(java.lang.String newUserDefinedDirectoryListingStyle)
                                             throws FtpFileException

  Sets Directory Listing Style.

  This style is the listing format that the FTP server displays upon issuing a LIST command. FtpHeuristics defines all the styles supported by the e*Way. The default value is UNIX.

  Parameters:
    `newDirectoryListingStyle` - The Directory Listing Style.
  Throws:
    `FtpFileException` - If some error occurs.

### setHostName

    public void setHostName(java.lang.String newHostName)
                     throws FtpFileException

  Sets the host name.

  This value is the name of the FTP server that the e*Way connects to. It can be either an IP address or a logical host name. The default value is localhost.

  Parameters:
    `newHostName` - The host name.
  Throws:
    `FtpFileException` - If some error occurs.

### setMode

    public void setMode(java.lang.String newMode)
                 throws FtpFileException

  Sets the FTP mode.

  This value describes the mode used to transfer data to and from the FTP server. The method sets binary, EBCIDC, or ASCII. The default value is ASCII.

  Parameters:
    `newMode` - The mode.
  Throws:
    `FtpFileException` - If some error occurs.

### setPassword

    public void setPassword(java.lang.String newPassword)

  Sets the password.

  The input is a non-encrypted password. You must use another method, setEncryptedPassword(String password), if the input is an encrypted password.

  Parameters:
    `newPassword` - The non-encrypted password.

### setTargetDirectoryName

    public void setTargetDirectoryName(java.lang.String newTargetDirectoryName)
                                throws FtpFileException

  Sets the target directory name.

  The directory on the external FTP system where files are retrieved from or sent to. The absolute directory name is preferred; otherwise, this path is relative to the directory where you were when you logged in to the FTP server.

  For outbound data (publishing), the directory is created if it does not exist.

  Parameters:
    `newTargetDirectoryName` - The target directory name.
  Throws:
    `FtpFileException`

### setServerPort

    public void setServerPort(int newServerPort)
                       throws FtpFileException

  Sets the FTP server's port.

  This value is the port number used on the FTP server when the e*Way is connecting to it. The default value is 21.

  Parameters:
    `newServerPort` - The server port number.
  Throws:
    `FtpFileException` - If some error occurs.

### setUserName

    public void setUserName(java.lang.String newUserName)
                     throws FtpFileException

  Sets the user name.

  This value is the user name given when logging into the FTP server; the default value is "anonymous."

  Parameters:
    `newUserName` - The user name.
  Throws:
    `FtpFileException` - If some error occurs.

### getPostTransferRawCommands

    public java.lang.String getPostTransferRawCommands()

  Gets the post transfer FTP raw commands.

  This value represents the FTP raw commands issued after the file transfer command. Note that some SITE commands use a semicolon (;) to separate the command sets, for example:

  SITE RECFM=FB;SITE LRECL=50;SITE BLOCKSIZE=32750;SITE TRACKS;SITE PRI=5;SITE SEC=5

  NOTE: These commands are sent to FTP server directly, so the commands must be FTP raw commands.

  Returns:
    The post transfer FTP raw commands.

### getPreTransferRawCommands

    public java.lang.String getPreTransferRawCommands()

  Gets the pre transfer FTP raw commands.

  This value represents the FTP raw commands issued before the file transfer command. Note that some SITE commands use a semicolon (;) to separate the command sets, for example:

  SITE RECFM=FB;SITE LRECL=50;SITE BLOCKSIZE=32750;SITE TRACKS;SITE PRI=5;SITE SEC=5

  NOTE: These commands are sent to FTP server directly, so the commands must be FTP raw commands.

  Returns:
    The pre transfer FTP raw commands.

### getTargetFileName

    public java.lang.String getTargetFileName()

  Gets the target file name.

  This value is the FTP remote file name which is retrieved from or sent to.

  For outbound data (publishing), the file is created if it does not exist.

  It represents the base file name instead of full file name.

  For MVS GDG, this value can be the version of the dataset, for example:

  Target Directory Name = 'STC.SAMPLE.GDGSET'.

  Target File Name = (0) to indicate the current version.

  Returns:
    The target file name.

### isUsePASV

    public boolean isUsePASV()

  Gets information that tells you whether your connection is using the passive mode, that is, whether the "Use PASV" configuration parameter status is YES or NO.

  Normally, when you connect to an FTP site, the site establishes the data connection to your computer. However, some FTP sites allow passive data transfers, meaning that your computer establishes the data connection. By default, the passive mode is turned on; and it is recommended that you use it for data transfers to and from FTP sites that support it.

  The passive mode may be required in the following instances:

  - For users on networks behind some types of router-based firewalls

  - For users on networks behind a gateway requiring passive data transfers

  - If transfers are erratic

  - If you keep getting failed data-channel errors

  Returns:
    The "Use PASV" parameter status.

### setPostTransferRawCommands

    public void setPostTransferRawCommands(java.lang.String newPostTransferRawCommands)

  Sets the post transfer FTP raw commands.

  This value represents the FTP raw commands issued after the file transfer command. Note that some SITE commands use a semicolon (;) to separate the command sets, for example:

  SITE RECFM=FB;SITE LRECL=50;SITE BLOCKSIZE=32750;SITE TRACKS;SITE PRI=5;SITE SEC=5

  NOTE: These commands are sent to FTP server directly, so the commands must be FTP raw commands.

  Parameters:
    `newPostTransferRawCommands` - The post transfer FTP raw commands.

### setPreTransferRawCommands

    public void setPreTransferRawCommands(java.lang.String newPreTransferRawCommands)

  Sets the pre transfer FTP raw commands.

  This value represents the FTP raw commands issued before the file transfer command. Note that some SITE commands use a semicolon (;) to separate the command sets, for example:

  SITE RECFM=FB;SITE LRECL=50;SITE BLOCKSIZE=32750;SITE TRACKS;SITE PRI=5;SITE SEC=5

  NOTE: These commands are sent to FTP server directly, so the commands must be FTP raw commands.

  Parameters:
    `newPreTransferRawCommands` - The pre transfer FTP raw commands.

### setTargetFileName

    public void setTargetFileName(java.lang.String newTargetFileName)
                           throws FtpFileException

  Sets the target file name.

  This value is the FTP remote file name which is retrieved from or sent to.

  For outbound data (publishing), the file is created if it does not exist.

  It represents the base file name instead of full file name.

  For MVS GDG, this value can be the version of the dataset, for example:

  Target Directory Name = 'STC.SAMPLE.GDGSET'.

  Target File Name = (0) to indicate the current version.

  Parameters:
    `newTargetFileName` - The target file name.
  Throws:
    `FtpFileException` - If some error occurs.

### setUsePASV

    public void setUsePASV(boolean newUsePASV)

  Sets the parameter that tells the connection whether to use the passive mode, that is, whether the "Use PASV" configuration parameter status is YES or NO.

  Normally, when you connect to an FTP site, the site establishes the data connection to your computer. However, some FTP sites allow passive data transfers, meaning that your computer establishes the data connection. By default, the passive mode is turned on; and it is recommended that you use it for data transfers to and from FTP sites that support it.

  The passive mode may be required in the following instances:

  - For users on networks behind some types of router-based firewalls

  - For users on networks behind a gateway requiring passive data transfers

  - If transfers are erratic

  - If you keep getting failed data-channel errors

  Parameters:
    `newUsePASV` - The desired "Use PASV" parameter.

### getMaxSequenceNumber

    public long getMaxSequenceNumber()

  Gets the maximum sequence number.

  This value is used for the name pattern %#. The value of this parameter is used when you have set up the remote file name to contain a sequence number. The value tells the e*Way that when this value (the parameter Max Sequence Number) is reached, to reset the sequence number to the starting sequence number.

  The value of the maximum sequence number MUST be greater than the starting sequence number.

  Returns:
    The maximum sequence number.

### getStartingSequenceNumber

    public long getStartingSequenceNumber()

  Gets the starting sequence number.

  This value is used for the name pattern %#.

  The value of this parameter is used when you have set up the remote file name to contain a sequence number. The value tells the e*Way which value to start with in the absence of a sequence number from a previous run.

  Also, when the maximum sequence number is reached, the sequence number rolls over to the starting sequence number.

  The value of the starting sequence number MUST be less than the maximum sequence number. The default value is 1.

  Returns:
    The starting sequence number.

### setMaxSequenceNumber

    public void setMaxSequenceNumber(long newMaxSequenceNumber)
                              throws FtpFileException

  Sets the maximum sequence number.

  This value is used for the name pattern %#. The value of this parameter is used when you have set up the remote file name to contain a sequence number. The value tells the e*Way that when this value (the parameter Max Sequence Number) is reached, to reset the sequence number to the starting sequence number.

  The value of the maximum sequence number MUST be greater than the starting sequence number.

  Parameters:
    `newMaxSequenceNumber` - The maximum sequence number.
  Throws:
    `FtpFileException` - If some error occurs.

### setStartingSequenceNumber

    public void setStartingSequenceNumber(long newStartingSequenceNumber)
                                   throws FtpFileException

  Sets the starting sequence number.

  This value is used for the name pattern %#.

  The value of this parameter is used when you have set up the remote file name to contain a sequence number. The value tells the e*Way which value to start with in the absence of a sequence number from a previous run.

  Also, when the maximum sequence number is reached, the sequence number rolls over to the starting sequence number.

  The value of the starting sequence number MUST be less than the maximum sequence number. The default value is 1.

  Parameters:
    `newStartingSequenceNumber` - The starting sequence number.
  Throws:
    `FtpFileException` - If some error occurs.

### setEncryptedPassword

    public void setEncryptedPassword(java.lang.String newPassword)
                              throws FtpFileException

  Sets the property password.

  The input is an encrypted password. You must use another method, setPassword(String password), if the input is a non-encrypted password.

  Parameters:
    `newPassword` - The encrypted password.
  Throws:
    `FtpFileException`

### main

    public static void main(java.lang.String[] args)

  Used to do stand-alone testing.

  Parameters:
    `args` - Command line parameters.

### getSocksServerPort

    public int getSocksServerPort()

  Gets the SOCKS server port.

  The port number to use on the SOCKS server when connecting to it. The default value is 1080.

  Returns:
    The SOCKS server port.

### getSocksVersion

    public int getSocksVersion()

  Gets the SOCKS version.

  This value is the version of the SOCKS server. The valid values are 4, 5 and -1. The default value is -1, indicating an unknown version.

  Returns:
    The SOCKS version.

### setSocksServerPort

    public void setSocksServerPort(int newSocksServerPort)
                            throws FtpFileException

  Sets the SOCKS server port.

  The port number to use on the SOCKS server when connecting to it. The default value is 1080.

  Parameters:
    `newSocksServerPort` - The SOCKS server port.
  Throws:
    `FtpFileException` - If some error occurs.

### setSocksVersion

    public void setSocksVersion(int newSocksVersion)
                         throws FtpFileException

  Sets the SOCKS version.

  This value is the version of the SOCKS server. The valid values are 4, 5 and -1. The default value is -1, indicating an unknown version.

  Parameters:
    `newSocksVersion` - The SOCKS Version.
  Throws:
    `FtpFileException` - If some error occurs.

### getClientClassName

    public java.lang.String getClientClassName()

  Gets the client class name.

  This value is an advanced setting that allows for user extensibility.

  You can provide your own implementation class name. This class must implement the interface com.stc.eways.batchext.FtpFileClient or extend the class, com.stc.eways.batchext.FtpFileClientImpl. You can overwrite or inherit any method you want.

  This value is optional but, if supplied, the full class name must be given, for example: com.mycompany.MyFtpFileClientImpl

  Returns:
    Client Class Name.

### getUserPropertyFile

    public java.lang.String getUserPropertyFile()

  Gets the user properties file name.

  This value is an advanced setting and is part of the user-extensibility features.

  This option allows you to specify a Java properties file. It is optional but, if supplied, the full path must be given. If a file name is supplied, it is loaded as a Java properties object. This object can be used in your implementation class or in your Collaboration Rules.

  The file is loaded by Java directly and is not interpreted by e*Gate or the e*Way in any way. Therefore, the file must be in the format of standard Java properties file. The file can be created manually in a text editor or on the fly, as long as it exists before the initialization of the e*Way at run time.

  For more information, see the e*Way's user's guide.

  Returns:
    The user properties file name.

### setClientClassName

    public void setClientClassName(java.lang.String newClientClassName)
                            throws FtpFileException

  Sets the client class name.

  This value is an advanced setting that allows for user extensibility.

  You can provide your own implementation class name. This class must implement the interface com.stc.eways.batchext.FtpFileClient or extend the class, com.stc.eways.batchext.FtpFileClientImpl. You can overwrite or inherit any method you want.

  This value is optional but, if supplied, the full class name must be given, for example: com.mycompany.MyFtpFileClientImpl

  Parameters:
    `newClientClassName` - The client class name.
  Throws:
    `FtpFileException` - If some error occurs.

### setUserPropertyFile

    public void setUserPropertyFile(java.lang.String newUserPropertyFile)
                             throws FtpFileException

  Sets the user properties file name.

  This value is an advanced setting and is part of the user-extensibility features.

  This option allows you to specify a Java properties file. It is optional but, if supplied, the full path must be given. If a file name is supplied, it is loaded as a Java properties object. This object can be used in your implementation class or in your Collaboration Rules.

  The file is loaded by Java directly and is not interpreted by e*Gate or the e*Way in any way. Therefore, the file must be in the format of standard Java properties file. The file can be created manually in a text editor or on the fly, as long as it exists before the initialization of the e*Way at run time.

  For more information, see the e*Way's user's guide.

  Parameters:
    `newUserPropertyFile` - The user properties file name.
  Throws:
    `FtpFileException` - If some error occurs.

### getUsePASV

    public boolean getUsePASV()

  Gets information that tells you whether your connection is using the passive mode, that is, whether the "Use PASV" configuration parameter status is YES or NO.

  Normally, when you connect to an FTP site, the site establishes the data connection to your computer. However, some FTP sites allow passive data transfers, meaning that your computer establishes the data connection. By default, the passive mode is turned on; and it is recommended that you use it for data transfers to and from FTP sites that support it.

  The passive mode may be required in the following instances:

  - For users on networks behind some types of router-based firewalls

  - For users on networks behind a gateway requiring passive data transfers

  - If transfers are erratic

  - If you keep getting failed data-channel errors

  Returns:
    The "Use PASV" parameter status.

### getSocksHostName

    public java.lang.String getSocksHostName()

  Gets the SOCKS host name. This value is the name of the SOCKS server that the e*Way connects to. It can be either an IP address or a logical host name. The default value is empty, that is, no SOCKS server is used.

  Returns:
    The SOCKS host name.

### getSocksUserName

    public java.lang.String getSocksUserName()

  Gets the SOCKS user name.

  The SOCKS user name is the ID used to log into the SOCKS server. The default value is empty.

  Returns:
    The SOCKS user name.

### setSocksEncryptedPassword

    public void setSocksEncryptedPassword(java.lang.String newSocksPassword)
                                   throws FtpFileException

  Sets the property socksPassword.

  The input password is an encrypted password. You must use another method, setSocksPassword(String socksPassword), if the input is a non-encrypted password.

  Parameters:
    `newSocksPassword` - The encrypted socksPassword.
  Throws:
    `FtpFileException`

### setSocksHostName

    public void setSocksHostName(java.lang.String newSocksHostName)

  Sets the SOCKS host name.

  This value is the name of the SOCKS server that the e*Way connects to. The value can be either an IP address or a logical host name. The default value is empty, that is, no SOCKS server is used.

  Parameters:
    `newSocksHostName` - The SOCKS host name.

### setSocksPassword

    public void setSocksPassword(java.lang.String newSocksPassword)

  Sets the SOCKS password.

  The input password is a non-encrypted password. You must use another method, setSocksEncryptedPassword(String socksPassword), if the input is an encrypted password.

  Parameters:
    `newSocksPassword` - The non-encrypted SOCKS password.

### setSocksUserName

    public void setSocksUserName(java.lang.String newSocksUserName)
                          throws FtpFileException

  Sets the SOCKS user name.

  This user name is the ID used to log into the SOCKS server. The default value is empty.

  Parameters:
    `newSocksUserName` - The SOCKS user name.
  Throws:
    `FtpFileException` - If some error occurs.

### getSocksEnabled

    public boolean getSocksEnabled()

  Checks to determine whether SOCKS is enabled.

  Returns:
    true or false

### isSocksEnabled

    public boolean isSocksEnabled()

  Checks to determine whether SOCKS is enabled.

  Returns:
    true or false

### setSocksEnabled

    public void setSocksEnabled(boolean newSocksEnabled)

  Allows you to enable or disable the SOCKS feature for the FTP ETD.

  Parameters:
    `newSocksEnabled` - true or false

### getCommandConnectionTimeout

    public int getCommandConnectionTimeout()

  Gets the command connection timeout (in milliseconds). A timeout of zero is interpreted as an infinite timeout.

  Returns:
    The command connection timeout.

### getDataConnectionTimeout

    public int getDataConnectionTimeout()

  Gets the data connection timeout (in milliseconds). A timeout of zero is interpreted as an infinite timeout.

  Returns:
    The data connection timeout.

### setCommandConnectionTimeout

    public void setCommandConnectionTimeout(int newCommandConnectionTimeout)

  Sets the command connection timeout (in milliseconds). A timeout of zero is interpreted as an infinite timeout.

  Parameters:
    `newCommandConnectionTimeout` - The command connection timeout.

### setDataConnectionTimeout

    public void setDataConnectionTimeout(int newDataConnectionTimeout)

  Sets the data connection timeout (in milliseconds). A timeout of zero is interpreted as an infinite timeout.

  Parameters:
    `newDataConnectionTimeout` - The data connection timeout.

### getUserProperties

    public java.util.Properties getUserProperties()

  Gets the user-defined properties from the Java user properties file.

  This value is an advanced setting and is part of the user extensibility features.

  The properties are from the user properties file.

  Returns:
    The user properties file properties.

### getProviderClassName

    public java.lang.String getProviderClassName()

  Gets the provider class name.

  This value is an advanced setting that allows for user extensibility.

  You can provide your own implementation class name. This class must implement the interface com.stc.eways.batchext.FtpFileProvider or extend the class, com.stc.eways.batchext.FtpFileProviderImpl. You can overwrite or inherit any method you want.

  This value is optional but, if supplied, the full class name must be given, for example: com.mycompany.MyFtpFileProviderImpl

  Returns:
    The provider class name.

### setTargetDirectoryNameIsPattern

    public void setTargetDirectoryNameIsPattern(boolean newTargetDirectoryNameIsPattern)

  Sets Pattern/Literal option for target directory name.

  Parameters:
    `newDirectoryPatternOrLiteral` - The true or false

### getAppend

    public boolean getAppend()

  Gets the overwrite or append file operation status.

  This value is for outbound data transactions only. You can only overwrite or append a remote file if it exists already. If a file with the same name does not exist, both the append and overwrite operations create a new file on the remote FTP system. The values are either Overwrite or Append. The default value is Overwrite.

  Returns:
    The overwrite or append status.

### getPostTransferCommand

    public java.lang.String getPostTransferCommand()

  Gets the post transfer command.

  This command is executed after a file has been successfully retrieved from or sent to a remote FTP host. The following actions can be performed on the remote file copy:

  Delete: Deletes the file from the remote host.

  Rename: Renames the file.

  None: Does nothing, that is, leaves the file on the remote host intact.

  Returns:
    The post transfer command.

### getPostDirectoryName

    public java.lang.String getPostDirectoryName()

  Gets the post directory name and . is only used for the "Rename" option of the post transfer command. This value is the name of the directory on the external system where file is renamed. The absolute directory name is expected.

  Special characters are allowed. The expansion of any special characters is carried out each time this parameter is used.

  Returns:
    The post directory name.

### getPostDirectoryNameIsPattern

    public boolean getPostDirectoryNameIsPattern()

  Checks whether the post directory name is a pattern or a literal name.

  Returns:
    Whether the post directory name is a pattern.

### getPreTransferCommand

    public java.lang.String getPreTransferCommand()

  Gets the pre transfer command.

  This command is executed before a file has been successfully retrieved from or sent to a remote FTP host. The following actions can be performed on the remote file copy:

  Rename: Renames the file on the remote host.

  Copy: Copies the file.

  None: Does nothing, that is, leaves the file on the remote host intact.

  Returns:
    The pre transfer command.

### getPreDirectoryName

    public java.lang.String getPreDirectoryName()

  Gets the pre directory name and is only used for the "Rename" or "Copy" options of the pre transfer commands. This value represents the directory on the remote FTP system where the file is renamed or copied to. The absolute directory name is expected.

  Special characters are allowed. The expansion of any special characters is carried out each time this parameter is used.

  Returns:
    The pre directory name.

### getPreDirectoryNameIsPattern

    public boolean getPreDirectoryNameIsPattern()

  Checks whether the pre directory name is a pattern or a literal name.

  Returns:
    Whether the pre directory name is a pattern.

### getTargetDirectoryNameIsPattern

    public boolean getTargetDirectoryNameIsPattern()

  Checks whether the target directory name is a pattern.

  Returns:
    Whether the target directory name is a pattern.

### getTransactionType

    public java.lang.String getTransactionType()

  Gets the connection's transaction type. This setting can be one of the following types: Non-transactional - Non-transactional operation XA-compliant - Two-phase transactional operation (using Guaranteed Exactly Once Delivery or GEOD of Events).

  Returns:
    The transaction type.

### getStatePersistenceBaseLocation

    public java.lang.String getStatePersistenceBaseLocation()

  Gets the state persistence base location.

  Returns:
    The state persistence base location.

### setAppend

    public void setAppend(boolean newAppend)

  Sets the overwrite or append file operation status.

  This value is for outbound data transactions only. You can only overwrite or append a remote file if it exists already. If a file with the same name does not exist, both the append and overwrite operations create a new file on the remote FTP system. The values are either Overwrite or Append. The default value is Overwrite.

  Parameters:
    `newOverwriteOrAppend` - The overwrite or append status.

### setPostTransferCommand

    public void setPostTransferCommand(java.lang.String newPostTransferCommand)
                                throws FtpFileException

  Sets the post transfer command.

  This command is executed after a file has been successfully retrieved from or sent to a remote FTP host. The following actions can be performed on the remote file copy:

  Delete: Deletes the file from the remote host.

  Rename: Renames the file.

  None: Does nothing, that is, leaves the file on the remote host intact.

  Parameters:
    `newPostTransferCommand` - The post transfer command.
  Throws:
    `FtpFileException` - If some error occurs.

### setPostDirectoryName

    public void setPostDirectoryName(java.lang.String newPostDirectoryName)

  Sets the post directory name and only applies to the "Rename" option of the post transfer command. This value represents the directory on the external system where file is renamed to. The absolute directory name is expected.

  Special characters are allowed. The expansion of any special characters is carried out each time this parameter is used.

  Parameters:
    `newPostDirectoryName` - The post directory name.

### setPostDirectoryNameIsPattern

    public void setPostDirectoryNameIsPattern(boolean newPostDirectoryNameIsPattern)

  Sets Pattern/Literal option for Post Directory Name.

  Parameters:
    `newPostDirectoryNameIsPattern` - true or false

### setPreTransferCommand

    public void setPreTransferCommand(java.lang.String newPreTransferCommand)
                               throws FtpFileException

  Sets the pre transfer command.

  This command is executed before a file has been successfully retrieved from or sent to a remote FTP host. The following actions can be performed on the remote file copy:

  Rename: Renames the file on the remote host.

  Copy: Copies the file.

  None: Does nothing, that is, leaves the file on the remote host intact.

  Parameters:
    `newPreTransferCommand` - The pre transfer command.
  Throws:
    `FtpFileException` - If some error occurs.

### setPreDirectoryName

    public void setPreDirectoryName(java.lang.String newPreDirectoryName)

  Sets the pre directory name and is only used for the "Rename" or "Copy" options of the pre transfer commands. This value represents the directory on the remote FTP system where the file is renamed or copied to. The absolute directory name is expected.

  Special characters are allowed. The expansion of any special characters is carried out each time this parameter is used.

  Parameters:
    `newPreDirectoryName` - The pre directory name.

### setPreDirectoryNameIsPattern

    public void setPreDirectoryNameIsPattern(boolean newPreDirectoryNameIsPattern)

  Sets Pattern/Literal option for Pre Directory Name.

  Parameters:
    `newPreDirectoryNameIsPattern` - true or false

### setProviderClassName

    public void setProviderClassName(java.lang.String newProviderClassName)
                              throws FtpFileException

  Sets the provider class name.

  This value is an advanced setting that allows for user extensibility.

  You can provide your own implementation class name. This class must implement the interface com.stc.eways.batchext.FtpFileProvider or extend the class, com.stc.eways.batchext.FtpFileProviderImpl. You can overwrite or inherit any method you want.

  This value is optional but, if supplied, the full class name must be given, for example: com.mycompany.MyFtpFileProviderImpl

  Parameters:
    `newProviderClassName` - The provider class name.
  Throws:
    `FtpFileException` - If some error occurs.

### setTargetFileNameIsPattern

    public void setTargetFileNameIsPattern(boolean newTargetFileNameIsPattern)

  Sets Pattern/Literal option for target file name.

  Parameters:
    `newTargetFileNameIsPattern` - true or false

### getConnectionEstablishmentMode

    public java.lang.String getConnectionEstablishmentMode()

  Deprecated. 4.5.x legacy code, use getConnectionMode().

  Gets the connection establishment mode. This value specifies how the connection with the external system is established and closed. "Automatic" indicates that the connection is automatically established when the Collaboration is started, and the Collaboration keeps the connection open as needed. "OnDemand" indicates that the connection is established on demand, while Business Rules requiring a connection to the external system are performed. The connection is closed after the methods are completed. "Manual" indicates that you must explicitly call the connection-related connect() and disconnect() methods in your Collaboration as Business Rules. NOTE: If you are using e*Gate version 4.5.1 or earlier, this option is ignored.

  Returns:
    The connection establishment mode.

### getConnectionMode

    public java.lang.String getConnectionMode()

  getter of "Connection Mode", "Connection Mode" is a read only property;

  Returns:
    "Automatic" - the connection is auto mode "Manual" - the connection is manual mode.

### getConnectionInactivityTimeout

    public long getConnectionInactivityTimeout()

  Deprecated. 4.5.x legacy code.

  Gets the connection inactivity timeout. This value is used to specify the timeout (in milliseconds) for the "Automatic" connection establishment mode. If this value is not set, or if it is set to 0, the connection is not closed after any period of inactivity. In this case, the connection is always kept open; and if it goes down, the system automatically tries to re-establish the connection. If a non-zero value is specified, the Connection Manager monitors the connection for inactivity. In this case, the connection is closed if the specified value is reached.

  Returns:
    The connection inactivity timeout.

### getConnectionVerificationInterval

    public long getConnectionVerificationInterval()

  Deprecated. 4.5.x legacy code.

  Gets the connection verification interval. This value is used to specify the minimum period of time (in milliseconds) between checks for the connection status of the database server. If the connection to the server is down during the verification, the user Collaboration's onConnectionDown() method is called. If the connection is open because of a previous connection error, the user Collaboration's onConnectionUp() method is called. If no value is specified, 60,000 ms is used.

  Returns:
    The connection verification interval.

### initialConfigValues

    public void initialConfigValues(java.util.Properties props)
                             throws FtpFileException

  Initializes the configuration from specified properties.

  Parameters:
    `props` - The properties.
  Throws:
    `FtpFileException` - If some error occurs.

### reset

    protected void reset()
                  throws FtpFileException

  Throws:
    `FtpFileException`

### isAppend

    public boolean isAppend()

  Checks whether file transfer mode is append or overwrite.

  This value is for outbound data transfer only. You can only overwrite or append a remote file if it exists already. If a file with the same name does not exist, both the append and overwrite operations create a new file on the remote FTP system. The values are either Overwrite or Append. The default value is Overwrite.

  Returns:
    The overwrite or append status.

### isPostDirectoryNameIsPattern

    public boolean isPostDirectoryNameIsPattern()

  Check whether the post directory name is a pattern or a literal name.

  Returns:
    Whether the post directory name is a pattern.

### isPreDirectoryNameIsPattern

    public boolean isPreDirectoryNameIsPattern()

  Check whether the pre directory name is a pattern or a literal name.

  Returns:
    Whether the pre directory name is a pattern.

### isTargetDirectoryNameIsPattern

    public boolean isTargetDirectoryNameIsPattern()

  Check whether the target directory name is a pattern or a literal name.

  Returns:
    Whether the target directory name is a pattern.

### getTargetFileNameIsPattern

    public boolean getTargetFileNameIsPattern()

  Checks whether the target file name is a pattern or a literal name.

  Returns:
    Whether the target file name is a pattern.

### getSSHChannelEstablished

    public boolean getSSHChannelEstablished()

  Checks on whether the SSH channel is already established.

  Returns:
    true or false

### getSSHCommandLine

    public java.lang.String getSSHCommandLine()

  Gets the SSH command line.

  Returns:
    The SSH Command Line.

### getSSHListenHost

    public java.lang.String getSSHListenHost()

  Gets the SSH listen host name. This value is the host name where the SSH client is running. The connection to this host is forwarded to the FTP server through an SSH-secure channel.

  Returns:
    The SSH client host name.

### getSSHListenPort

    public int getSSHListenPort()

  Gets the SSH listen host port number. This value is the port number (on the SSH listen host) that the SSH client is listening to. The connection to this port number is forwarded to the FTP server through an SSH-secure channel.

  Returns:
    The SSH client host port number.

### getSSHTunnelingEnabled

    public boolean getSSHTunnelingEnabled()

  Checks on whether SSH tunneling is enabled.

  Through an SSH tunnel, the FTP command connection is protected. This mechanism is based on an existing SSH port-forwarding configuration. You must configure the SSH port forwarding on the SSH listening host before starting the e*Way. Use a command line like the following example: ssh -L ListenPort:FtpServerHost:FtpServerPort SSHServer For another example, on the eGate client host (localhost), you could issue a command such as: ssh -L 4567:atlas:21 atlas

  Returns:
    true or false

### getSSHUserName

    public java.lang.String getSSHUserName()

  Gets the SSH user name.

  Returns:
    The SSH User Name.

### isSSHChannelEstablished

    public boolean isSSHChannelEstablished()

  Checks on whether the SSH channel is already established.

  Returns:
    true or false

### isSSHTunnelingEnabled

    public boolean isSSHTunnelingEnabled()

  Checks on whether SSH tunneling is enabled.

  Through an SSH tunnel, the FTP command connection is protected. This mechanism is based on an existing SSH port-forwarding configuration. You must configure the SSH port forwarding on the SSH listening host before starting the e*Way. Use a command line like the following example: ssh -L ListenPort:FtpServerHost:FtpServerPort SSHServer For another example, on the eGate client host (localhost), you could issue a command such as: ssh -L 4567:atlas:21 atlas

  Returns:
    true or false

### setSSHChannelEstablished

    public void setSSHChannelEstablished(boolean newSshChannelEstablished)

  If the SSH Channel is established already, we'll not establish new SSH channel; otherwise, a new SSH channel will be established from the e*Way.

  Parameters:
    `newSshChannelEstablished` - true or false

### setSSHCommandLine

    public void setSSHCommandLine(java.lang.String newSshCommandLine)
                           throws FtpFileException

  Sets the SSH command line.

  Parameters:
    `newSshCommandLine` - The SSH command line.
  Throws:
    `FtpFileException` - If some error occurs.

### setSSHEncryptedPassword

    public void setSSHEncryptedPassword(java.lang.String newSshPassword)
                                 throws FtpFileException

  Sets the property sshPassword.

  The input password is an encrypted password. You must use another method, setSshPassword(String sshPassword), if the input is a non-encrypted password.

  Parameters:
    `newSshPassword` - The encrypted sshPassword.
  Throws:
    `FtpFileException`

### setSSHListenHost

    public void setSSHListenHost(java.lang.String newSshListenHost)
                          throws FtpFileException

  Gets the SSH listen host name. This value is the host name where the SSH client is running. The connection to this host is forwarded to the FTP server through an SSH-secure channel. The value can be either an IP address or a logical host name. The default value is localhost.

  Parameters:
    `newSshListenHost` - The SSH listen host name.
  Throws:
    `FtpFileException` - If some error occurs.

### setSSHListenPort

    public void setSSHListenPort(int newSshListenPort)
                          throws FtpFileException

  Sets the SSH listen port. This value is the port number (on the SSH listen host) that the SSH client is listening to. The connection to this port number is forwarded to the FTP server through an SSH-secure channel. Any unused port number is acceptable.

  Parameters:
    `newSshListenPort` - The SSH listen port.
  Throws:
    `FtpFileException` - If some error occurs.

### setSSHPassword

    public void setSSHPassword(java.lang.String newSshPassword)

  Sets the SSH password.

  The input password is a non-encrypted password. You must use another method, setSshEncryptedPassword(String sshPassword), if the input is an encrypted password.

  Parameters:
    `newSshPassword` - The non-encrypted SSH password.

### setSSHTunnelingEnabled

    public void setSSHTunnelingEnabled(boolean newSshTunnelingEnabled)

  Enables or disables SSH tunneling.

  Parameters:
    `newSshTunnelingEnabled` - true or false

### setSSHUserName

    public void setSSHUserName(java.lang.String newSshUserName)
                        throws FtpFileException

  Sets the SSH user name.

  Parameters:
    `newSshUserName` - The SSH user name.
  Throws:
    `FtpFileException` - If some error occurs.

### isConnectionModeAuto

    public boolean isConnectionModeAuto()

  is the connection mode automatic?

  Returns:
    true - if it is automatic false - if it is not (manual)

### isConnectionModeManual

    public boolean isConnectionModeManual()

  is the connection mode manual?

  Returns:
    true - manual mode false - other wise (automatic);

### isConnectionEstablishmentModeAutomatic

    public boolean isConnectionEstablishmentModeAutomatic()

  Deprecated. 4.5.x legacy code, use isConnectionModeManual, or isConnectionModeAuto() or getConnectionMode().

  A helper method.

  Returns:
    true or false

### isConnectionEstablishmentModeManual

    public boolean isConnectionEstablishmentModeManual()

  Deprecated. 4.5.x legacy code, use isConnectionModeManual, or isConnectionModeAuto() or getConnectionMode().

  A helper method.

  Returns:
    true or false

### isConnectionEstablishmentModeOnDemand

    public boolean isConnectionEstablishmentModeOnDemand()

  Deprecated. 4.5.x legacy code, "On Demand" is obsolete, only "Automatic" and "Manual" are available.

  A helper method.

  Returns:
    true or false

### isModeAscii

    public boolean isModeAscii()

  A helper method.

  Returns:
    true or false

### isModeBinary

    public boolean isModeBinary()

  A helper method.

  Returns:
    true or false

### isModeEbcdic

    public boolean isModeEbcdic()

  A helper method.

  Returns:
    true or false

### isPostTransferCommandDelete

    public boolean isPostTransferCommandDelete()

  A helper method.

  Returns:
    true or false

### isPostTransferCommandNone

    public boolean isPostTransferCommandNone()

  A helper method.

  Returns:
    true or false

### isPostTransferCommandRename

    public boolean isPostTransferCommandRename()

  A helper method.

  Returns:
    true or false

### isPreTransferCommandCopy

    public boolean isPreTransferCommandCopy()

  A helper method.

  Returns:
    true or false

### isPreTransferCommandNone

    public boolean isPreTransferCommandNone()

  A helper method.

  Returns:
    true or false

### isPreTransferCommandRename

    public boolean isPreTransferCommandRename()

  A helper method.

  Returns:
    true or false

### isSocksVersion4

    public boolean isSocksVersion4()

  A helper method.

  Returns:
    true or false

### isSocksVersion5

    public boolean isSocksVersion5()

  A helper method.

  Returns:
    true or false

### isSocksVersionUnknown

    public boolean isSocksVersionUnknown()

  A helper method.

  Returns:
    true or false

### isTransactionTypeNonXA

    public boolean isTransactionTypeNonXA()

  A helper method.

  Returns:
    true or false;

### isTransactionTypeXA

    public boolean isTransactionTypeXA()

  A helper method.

  Returns:
    true or false;

### getPostFileName

    public java.lang.String getPostFileName()

  Gets Post File Name. It is only for 'Rename' of 'Post Transfer Command'. The name on the external system where file will be renamed or copied to. It represents the base file name instead of full file name.

  Special characters are allowed. The expansion of any special characters are carried out each time this parameter is used.

  Returns:
    The Post File Name.

### getPostFileNameIsPattern

    public boolean getPostFileNameIsPattern()

  Checks whether the post file name is a pattern or a literal name.

  This value indicates whether the post file name is a pattern or a literal name.

  Returns:
    Whether the post file name is a pattern.

### getPreFileName

    public java.lang.String getPreFileName()

  Gets Pre File Name. It is only for 'Rename' or 'Copy' of 'Pre Transfer Command'. The name on the external system where file will be renamed or copied to. It represents the base file name instead of full file name.

  Special characters are allowed. The expansion of any special characters are carried out each time this parameter is used.

  Returns:
    The Pre File Name.

### getPreFileNameIsPattern

    public boolean getPreFileNameIsPattern()

  Checks whether the pre file name is a pattern or a literal name.

  Returns:
    Whether the pre file name is a pattern.

### isPostFileNameIsPattern

    public boolean isPostFileNameIsPattern()

  Checks whether the post file name is a pattern or a literal name.

  Returns:
    Whether the post file name is a pattern.

### isPreFileNameIsPattern

    public boolean isPreFileNameIsPattern()

  Checks whether the pre file name is a pattern or a literal name.

  Returns:
    Whether the pre file name is a pattern.

### isTargetFileNameIsPattern

    public boolean isTargetFileNameIsPattern()

  Checks whether the target file name is a pattern or a literal name.

  Returns:
    Whether the target file name is a pattern.

### setPostFileName

    public void setPostFileName(java.lang.String newPostFileName)

  Sets Post File Name. It is only for 'Rename' of 'Post Transfer Command'. The name on the external system where file will be renamed or copied to. It represents the base file name instead of full file name.

  Special characters are allowed. The expansion of any special characters are carried out each time this parameter is used.

  Parameters:
    `newPostFileName` - The Post File Name.

### setPostFileNameIsPattern

    public void setPostFileNameIsPattern(boolean newPostFileNameIsPattern)

  Sets Pattern/Literal option for Post File Name.

  Parameters:
    `newPostFileNameIsPattern` - true or false

### setPreFileName

    public void setPreFileName(java.lang.String newPreFileName)

  Sets Pre File Name. It is only for 'Rename' or 'Copy' of 'Pre Transfer Command'. The name on the external system where file will be renamed or copied to. It represents the base file name instead of full file name.

  Special characters are allowed. The expansion of any special characters are carried out each time this parameter is used.

  Parameters:
    `newPreFileName` - The Pre File Name.

### setPreFileNameIsPattern

    public void setPreFileNameIsPattern(boolean newPreFileNameIsPattern)

  Sets Pattern/Literal option for Pre File Name.

  Parameters:
    `newPreFileNameIsPattern` - true or false

### getConnector

    public FtpFileConfiguration getConnector()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getEncryptedPassword

    public java.lang.String getEncryptedPassword()
                                          throws FtpFileException

  Gets the encrypted password.

  This value is the encrypted password that corresponds to the current user name. There is no default value.

  Returns:
    The encrypted password.
  Throws:
    `FtpFileException`

### getExtensions

    public FtpFileConfiguration getExtensions()

  Deprecated. 4.5.x legacy code.

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getFtp

    public FtpFileConfiguration getFtp()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getFTPRawCommands

    public FtpFileConfiguration getFTPRawCommands()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getGeneralSettings

    public FtpFileConfiguration getGeneralSettings()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getPostTransfer

    public FtpFileConfiguration getPostTransfer()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getPreTransfer

    public FtpFileConfiguration getPreTransfer()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getSequenceNumbering

    public FtpFileConfiguration getSequenceNumbering()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getShareConnectorWithinCollaboration

    public boolean getShareConnectorWithinCollaboration()

  Checks on whether an e*Way Connection is being shared within a Collaboration.

  Returns:
    true or false

### getSOCKS

    public FtpFileConfiguration getSOCKS()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getSocksEncryptedPassword

    public java.lang.String getSocksEncryptedPassword()
                                               throws FtpFileException

  Gets the encrypted SOCKS password.

  This value is the encrypted SOCKS password that corresponds to the SOCKS user name. There is no default value.

  Returns:
    The encrypted SOCKS Password.
  Throws:
    `FtpFileException`

### getSSHEncryptedPassword

    public java.lang.String getSSHEncryptedPassword()
                                             throws FtpFileException

  Gets the encrypted SSH password.

  This value is the encrypted SSH password that corresponds to the SSH user name. There is no default value.

  Returns:
    The encrypted SSH password.
  Throws:
    `FtpFileException`

### getSSHTunneling

    public FtpFileConfiguration getSSHTunneling()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getTargetLocation

    public FtpFileConfiguration getTargetLocation()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### getDynamicConfiguration

    public FtpFileConfiguration getDynamicConfiguration()

  A helper method used for ETD configuration sub-node.

  Returns:
    An instance of FtpFileConfiguration.

### isShareConnectorWithinCollaboration

    public boolean isShareConnectorWithinCollaboration()

  Deprecated. 4.5.x legacy code, obsolete feature.

  Checks on whether an e*Way Connection is being shared within a Collaboration.

  Returns:
    true or false

### setPublishStatusRecordOnSuccess

    public void setPublishStatusRecordOnSuccess(boolean newPublishStatusRecordOnSuccess)

  Deprecated. 4.5.x legacy code, obsolete feature.

  Sets on whether to publish status record on success or not.

  Parameters:
    `newPublishStatusRecordOnSuccess` - true or false.

### getPublishStatusRecordOnSuccess

    public boolean getPublishStatusRecordOnSuccess()

  Deprecated. 4.5.x legacy code, obsolete feature.

  Checks on whether to publish status record on success or not.

  Returns:
    true or false.

### setPublishStatusRecordOnError

    public void setPublishStatusRecordOnError(boolean newPublishStatusRecordOnError)

  Deprecated. 4.5.x legacy code, obsolete feature.

  Sets on whether to publish status record on error or not.

  Parameters:
    `newPublishStatusRecordOnError` - true or false.

### getPublishStatusRecordOnError

    public boolean getPublishStatusRecordOnError()

  Deprecated. 4.5.x legacy code, obsolete feature.

  Checks on whether to publish status record on error or not.

  Returns:
    true or false.

### setIncludeOrderRecordInErrorRecord

    public void setIncludeOrderRecordInErrorRecord(boolean newIncludeOrderRecordInErrorRecord)

  Deprecated. 4.5.x legacy code, obsolete feature.

  Sets on whether to include order record in error record or not.

  Parameters:
    `newIncludeOrderRecordInErrorRecord` - true or false.

### getIncludeOrderRecordInErrorRecord

    public boolean getIncludeOrderRecordInErrorRecord()

  Deprecated. 4.5.x legacy code.

  Checks on whether to include order record in error record or not.

  Returns:
    true or false.

### setIncludePayloadInErrorRecord

    public void setIncludePayloadInErrorRecord(boolean newIncludePayloadInErrorRecord)

  Deprecated. 4.5.x legacy code, obsolete feature.

  Sets on whether to include payload in error record or not.

  Parameters:
    `newIncludePayloadInErrorRecord` - true or false.

### getIncludePayloadInErrorRecord

    public boolean getIncludePayloadInErrorRecord()

  Deprecated. 4.5.x legacy code.

  Checks on whether to include payload in error record or not.

  Returns:
    true or false.

### setActionOnMalformedCommand

    public void setActionOnMalformedCommand(java.lang.String newActionOnMalformedCommand)

  Deprecated. 4.5.x legacy code, obsolete feature.

  Sets Action on Malformed Command.

  Parameters:
    `newActionOnMalformedCommand` - The Action on Malformed Command. Valid entries include Exit, Ignore, Raise alert, and Publish error record.

### getActionOnMalformedCommand

    public java.lang.String getActionOnMalformedCommand()

  Deprecated. 4.5.x legacy code.

  Gets Action on Malformed Command.

  Returns:
    The Action on Malformed Command.

### setUserHeuristicsLocation

    public void setUserHeuristicsLocation(java.lang.String userHeuristicLoc)

### getUserHeuristicsLocation

    public java.lang.String getUserHeuristicsLocation()

### setMaxRetry

    public void setMaxRetry(long aRetry)

### getMaxRetry

    public long getMaxRetry()

### setRetryInterval

    public void setRetryInterval(long aInterval)

### getRetryInterval

    public long getRetryInterval()

### setSynchronized

    protected void setSynchronized(boolean b)

### getSynchronized

    public boolean getSynchronized()

### getOID

    protected java.lang.String getOID()

### getExternalName

    protected java.lang.String getExternalName()

### getChangedParameters

    public java.util.Properties getChangedParameters()

  get the changed parameters - i.e. setter get invoked by collaboration code and the old and new value differ;

  Returns:
    - collection of name value pairs reprsenting the chnaged parameters and their values;

### getAllParamChangeRequested

    public java.util.Properties getAllParamChangeRequested()

### isConnectionParameterChanged

    public boolean isConnectionParameterChanged()

  indicate that one or more of the "connection parameters" changed;

  Returns:
    true - if change occurred, false otherwise;

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD